import { defineComponent, ref } from 'vue';
import styles from './index.module.less';
import { useUserStore } from '/src/store/modules/users';
import { vaildMusicScoreUrl } from '/src/utils/urlUtils';

export default defineComponent({
  name: 'song-modal',
  props: {
    item: {
      type: Object,
      default: () => ({})
    }
  },
  setup(props) {
    const userStore = useUserStore();
    const iframeRef = ref();
    const isLoaded = ref(false);
    // const origin = /(localhost|192)/.test(location.host)
    //   ? 'http://localhost:9002'
    //   : location.origin;

    let src = `${origin}/classroom-app/#/tempo-practice?v=${Date.now()}&Authorization=${
      userStore.getToken
    }&platform=modal`;
    if (/(localhost|192)/.test(location.host)) {
      src = `http://localhost:9002/#/tempo-practice?v=${Date.now()}&Authorization=${
        userStore.getToken
      }&platform=modal`;
    }
    if (props.item.dataJson) {
      src += '&dataJson=' + props.item.dataJson;
    }
    return () => (
      <div class={styles.musicScore}>
        <iframe
          ref={iframeRef}
          onLoad={() => {
            // emit('setIframe', iframeRef.value);
            isLoaded.value = true;
          }}
          class={[styles.container, 'musicIframe']}
          frameborder="0"
          src={src}></iframe>
      </div>
    );
  }
});
